/// <reference types="node" />
import http = require('http');
import NerveObject = require('./object');
import express = require('express');
import Router = require('./router');
import NervePage = require('./page');
import NerveApi = require('./api');
import Module = require('./module');
import NerveActiveUser = require('./active-user');
import handlebarsHelpers = require('./lib/handlebars-helpers/main');
import NerveHelpers = require('./lib/helpers');
import debug = require('./lib/debug');
import Handlebars = require('handlebars');
declare class NerveApp extends NerveObject {
    JS_VERSIONS: any;
    CSS_VERSIONS: any;
    SPRITE_VERSIONS: any;
    protected server: express.Express;
    protected connection: http.Server;
    protected isReady: boolean;
    protected routes: any;
    protected publicRoutes: any;
    config: any;
    protected allConfig: any;
    protected router: Router;
    protected environment: string;
    protected workerIndex: number;
    constructor();
    getServer(): express.Express;
    getRouter(): Router;
    getJsVersions(): any;
    getCssVersions(): any;
    getSpriteVersions(): any;
    listen(port: number, host: string, callback: (...args: any[]) => void): http.Server;
    close(): void;
    route(routes: any): void;
    env(env: string): void;
    readCfg(): Promise<any>;
    setCfg(key: string, value: any): NerveApp;
    getCfg(key: string): any;
    getPublicRoutes(): any[];
    setDebugLevel(level: number): void;
    setWorkerIndex(index: number): void;
    ready(): Promise<any>;
}
export { NerveObject, NerveApp, NervePage, NerveApi, Module, NerveActiveUser, NerveHelpers, handlebarsHelpers as HandlebarsHelpers, Handlebars, debug };
