"use strict";
class NerveDebug {
    static setLevel(level) {
        this.level = level;
    }
    static error(message, ...messages) {
        let args = arguments;
        if (this.level > 0 || this.level === undefined || isNaN(this.level)) {
            setTimeout(function () {
                console.log.apply(this, args);
            });
        }
    }
    static log(message, ...messages) {
        let args = arguments;
        if (this.level > 10) {
            setTimeout(function () {
                console.log.apply(this, args);
            });
        }
    }
    static debug(message, ...messages) {
        let args = arguments;
        if (this.level > 20) {
            setTimeout(function () {
                console.log.apply(this, args);
            });
        }
    }
    static time(id) {
        if (this.level > 30) {
            this.timeEvents[id] = Date.now();
            setTimeout(function () {
                if (this.timeEvents[id]) {
                    delete this.timeEvents[id];
                }
            }.bind(this), this.timeout);
        }
    }
    static timeEnd(id, message) {
        let time;
        message = message || id;
        try {
            if (this.level > 30 && this.timeEvents[id]) {
                time = Date.now() - this.timeEvents[id];
                delete this.timeEvents[id];
                setTimeout(function () {
                    console.log(`${message}: ${time}ms`);
                });
            }
        }
        catch (ignore) { }
    }
}
NerveDebug.timeEvents = {};
NerveDebug.timeout = 20000;
NerveDebug.level = 1;
module.exports = NerveDebug;
//# sourceMappingURL=debug.js.map