"use strict";
const debug = require("./debug");
const digitFormat = require("./digitFormat");
const escape = require("./escape");
const getByKey = require("./get-by-key");
const htmlEntities = require("./htmlentities");
const ifEq = require("./ifEq");
const ifLt = require("./ifLt");
const ifGt = require("./ifGt");
const jsonEncode = require("./json-encode");
const jsonStringify = require("./json-stringify");
const jsonStripEndBrace = require("./json-strip-end-brace");
const numberWidth = require("./number-width");
const unlessEq = require("./unlessEq");
const plural = require("./plural");
const random = require("./random");
const spaceless = require("./spaceless");
const times = require("./times");
module.exports = function (HandlebarsObject) {
    'use strict';
    debug(HandlebarsObject);
    digitFormat(HandlebarsObject);
    escape(HandlebarsObject);
    getByKey(HandlebarsObject);
    htmlEntities(HandlebarsObject);
    ifEq(HandlebarsObject);
    ifGt(HandlebarsObject);
    ifLt(HandlebarsObject);
    jsonEncode(HandlebarsObject);
    jsonStringify(HandlebarsObject);
    jsonStripEndBrace(HandlebarsObject);
    numberWidth(HandlebarsObject);
    unlessEq(HandlebarsObject);
    plural(HandlebarsObject);
    random(HandlebarsObject);
    spaceless(HandlebarsObject);
    times(HandlebarsObject);
};
//# sourceMappingURL=main.js.map