import NerveModule = require('./module');
import { NerveApp } from './app';
import ActiveUser = require('./active-user');
import NerveApi = require("./api");
declare class NervePage extends NerveModule {
    protected frontEndDir: string;
    protected httpStatus: number;
    protected baseTmplPath: string;
    protected pagesTmplPath: string;
    protected templateHead: string;
    protected template: string;
    protected templateFooter: string;
    protected templateError404: string;
    protected templateError403: string;
    protected templateError500: string;
    protected tmplHead: Function;
    protected tmplFooter: Function;
    protected tmpl: Function;
    protected startTime: number;
    protected startProcessingTime: number;
    protected processingTime: number;
    protected fullTime: number;
    protected Api: typeof NerveApi;
    protected api: NerveApi;
    protected activeUser: ActiveUser;
    protected storeState: any;
    protected isFirstContentRender: boolean;
    constructor(app: NerveApp, options?: any);
    protected init(): void;
    getTemplate(templatePath: string): Function;
    initActiveUser(): void;
    getName(): string;
    getFrontendDir(): string;
    getType(): string;
    getTitle(): string;
    getScheme(): string;
    getRequestParam(paramName: string): string;
    getStaticHost(): string;
    getJsHost(): string;
    getCssHost(): string;
    getCssVersion(cssName: string): string;
    getJsVersion(jsName: string): string;
    getCssUrl(cssName: string): string;
    getJsUrl(jsName: string): string;
    getSprite(sprite: string): string;
    getCss(): any[];
    getJs(): any[];
    getResponsePromises(): Promise<any>;
    getTemplateVars(): Promise<unknown>;
    getTemplateHeadVars(): Promise<{}>;
    getTemplateFooterVars(): Promise<{}>;
    getErrorTemplateVars(): any;
    getLogPrefix(): string;
    getRequestId(): string;
    getRequestMethod(): string;
    getRequestUrl(): string;
    getLogUrl(): string;
    fetchApi(): Promise<any>;
    beforeFilter(): any;
    errorLog(message: string): void;
    log(message: string): void;
    debug(message: string): void;
    time(message: string): void;
    timeEnd(message: string): void;
    renderTemplate(template: Function & {
        default?: () => Function;
    }, vars: any, templateId: string): Promise<string>;
    getHtml(vars: any, contentTmpl?: Function): Promise<any>;
    getUserAgent(): string;
    getReferrer(): string;
    getContentType(): string;
    errorHandler(err: any): this;
    isPingPage(): boolean;
    isShowErrorPage(): boolean;
    isForceShowErrorPage(): boolean;
    isJsonAccept(): boolean;
    renderErrorPage(status: number): void;
    redirect(location: string, status: number): void;
    rewrite(url: string): void;
    sendResponse(vars: any): void;
    send(content?: string, contentType?: string, status?: number): void;
}
export = NervePage;
