'use strict';
const _ = require("lodash");
const NerveObject = require("./object");
const path = require("path");
class Router extends NerveObject {
    constructor(app) {
        super();
        this.app = app;
        this.routes = {};
    }
    initModule(request, response, options) {
        const Module = require(path.resolve(process.cwd(), options.page));
        return new Module(this.app, {
            request: request,
            response: response
        });
    }
    get(url, options) {
        if (_.isString(options)) {
            options = {
                page: options,
                methods: ['get']
            };
        }
        this.routes[url] = options;
        const server = this.app.getServer();
        if (!options.method || options.methods.indexOf('get') !== -1) {
            server.get(url, (request, response) => this.initModule(request, response, options));
        }
        if (Array.isArray(options.methods) && options.methods.indexOf('post') !== -1) {
            server.post(url, (request, response) => this.initModule(request, response, options));
        }
    }
    go(url, request, response) {
        let server = this.app.getServer();
        request.url = url;
        server.handle(request, response);
    }
}
module.exports = Router;
//# sourceMappingURL=router.js.map